<?php
/**
 * Advertisment after paragraph Customizer
 */

/**
 * Register the customizer.
 */
function truereview_ads_after_paragraph_customize_register( $wp_customize ) {

	// Register new section: Post after paragraph
	$wp_customize->add_section( 'truereview_ads_after_paragraph' , array(
		'title'       => esc_html__( 'Post after paragraph', 'truereview' ),
		'panel'       => 'truereview_ads',
		'priority'    => 11
	) );

	// Register post ad image setting
	$wp_customize->add_setting( 'truereview-post-ads-image-after-paragraph', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'truereview-post-ads-image-after-paragraph', array(
		'label'             => esc_html__( 'Image', 'truereview' ),
		'description'       => esc_html__( 'Upload your ads image then put the url in the setting below.', 'truereview' ),
		'section'           => 'truereview_ads_after_paragraph',
		'priority'          => 1,
		'mime_type'         => 'image',
	) ) );

	// Register post ad url setting
	$wp_customize->add_setting( 'truereview-post-ads-url-after-paragraph', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-post-ads-url-after-paragraph', array(
		'label'             => esc_html__( 'URL', 'truereview' ),
		'description'       => esc_html__( 'Put the ads url in the box below.', 'truereview' ),
		'section'           => 'truereview_ads_after_paragraph',
		'priority'          => 3,
		'type'              => 'url'
	) );

	// Register post custom code setting
	$wp_customize->add_setting( 'truereview-post-ads-custom-after-paragraph', array(
		'default'           => '',
		'sanitize_callback' => 'truereview_sanitize_textarea',
	) );
	$wp_customize->add_control( 'truereview-post-ads-custom-after-paragraph', array(
		'label'             => esc_html__( 'Or', 'truereview' ),
		'description'       => esc_html__( 'Pur you custom ads code (eg. adsense) in the box below.', 'truereview' ),
		'section'           => 'truereview_ads_after_paragraph',
		'priority'          => 5,
		'type'              => 'textarea'
	) );

	// Register after x paragraph setting
	$wp_customize->add_setting( 'truereview-post-ads-paragraph-after-paragraph', array(
		'default'           => '1',
		'sanitize_callback' => 'truereview_sanitize_post_ads_paragraph',
	) );
	$wp_customize->add_control( 'truereview-post-ads-paragraph-after-paragraph', array(
		'label'             => esc_html__( 'After paragraph', 'truereview' ),
		'section'           => 'truereview_ads_after_paragraph',
		'priority'          => 7,
		'type'              => 'radio',
		'choices'      => array(
			'1' => esc_html__( 'One', 'truereview' ),
			'2' => esc_html__( 'Two', 'truereview' ),
			'3' => esc_html__( 'Three', 'truereview' ),
			'4' => esc_html__( 'Four', 'truereview' ),
			'5' => esc_html__( 'Five', 'truereview' )
		)
	) );

	// Register post ad position setting
	$wp_customize->add_setting( 'truereview-post-ads-position-after-paragraph', array(
		'default'           => 'default',
		'sanitize_callback' => 'truereview_sanitize_ads_position',
	) );
	$wp_customize->add_control( 'truereview-post-ads-position-after-paragraph', array(
		'label'             => esc_html__( 'Position', 'truereview' ),
		'section'           => 'truereview_ads_after_paragraph',
		'priority'          => 9,
		'type'              => 'radio',
		'choices'      => array(
			'default' => esc_html__( 'Default Block', 'truereview' ),
			'center'  => esc_html__( 'Center Block', 'truereview' ),
			'right'   => esc_html__( 'Right Block', 'truereview' ),
			'f-left'  => esc_html__( 'Float Left', 'truereview' ),
			'f-right' => esc_html__( 'Float Right', 'truereview' ),
		)
	) );

}
add_action( 'customize_register', 'truereview_ads_after_paragraph_customize_register' );
