<?php
/**
 * Advertisment before content Customizer
 */

/**
 * Register the customizer.
 */
function truereview_ads_before_content_customize_register( $wp_customize ) {

	// Register new section: Post before content
	$wp_customize->add_section( 'truereview_ads_before_content' , array(
		'title'       => esc_html__( 'Post before content', 'truereview' ),
		'panel'       => 'truereview_ads',
		'priority'    => 7
	) );

	// Register post ad image setting
	$wp_customize->add_setting( 'truereview-post-ads-image-before', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'truereview-post-ads-image-before', array(
		'label'             => esc_html__( 'Image', 'truereview' ),
		'description'       => esc_html__( 'Upload your ads image then put the url in the setting below.', 'truereview' ),
		'section'           => 'truereview_ads_before_content',
		'priority'          => 1,
		'mime_type'         => 'image',
	) ) );

	// Register post ad url setting
	$wp_customize->add_setting( 'truereview-post-ads-url-before', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-post-ads-url-before', array(
		'label'             => esc_html__( 'URL', 'truereview' ),
		'description'       => esc_html__( 'Put the ads url in the box below.', 'truereview' ),
		'section'           => 'truereview_ads_before_content',
		'priority'          => 3,
		'type'              => 'url'
	) );

	// Register post custom code setting
	$wp_customize->add_setting( 'truereview-post-ads-custom-before', array(
		'default'           => '',
		'sanitize_callback' => 'truereview_sanitize_textarea',
	) );
	$wp_customize->add_control( 'truereview-post-ads-custom-before', array(
		'label'             => esc_html__( 'Or', 'truereview' ),
		'description'       => esc_html__( 'Pur you custom ads code (eg. adsense) in the box below.', 'truereview' ),
		'section'           => 'truereview_ads_before_content',
		'priority'          => 5,
		'type'              => 'textarea'
	) );

	// Register post ad position setting
	$wp_customize->add_setting( 'truereview-post-ads-position-before', array(
		'default'           => 'default',
		'sanitize_callback' => 'truereview_sanitize_ads_position',
	) );
	$wp_customize->add_control( 'truereview-post-ads-position-before', array(
		'label'             => esc_html__( 'Position', 'truereview' ),
		'section'           => 'truereview_ads_before_content',
		'priority'          => 7,
		'type'              => 'radio',
		'choices'      => array(
			'default' => esc_html__( 'Default Block', 'truereview' ),
			'center'  => esc_html__( 'Center Block', 'truereview' ),
			'right'   => esc_html__( 'Right Block', 'truereview' ),
			'f-left'  => esc_html__( 'Float Left', 'truereview' ),
			'f-right' => esc_html__( 'Float Right', 'truereview' ),
		)
	) );

}
add_action( 'customize_register', 'truereview_ads_before_content_customize_register' );
