<?php
/**
 * Advertisment top Customizer
 */

/**
 * Register the customizer.
 */
function truereview_ads_top_customize_register( $wp_customize ) {

	// Register new section: Top
	$wp_customize->add_section( 'truereview_ads_top' , array(
		'title'       => esc_html__( 'Top', 'truereview' ),
		'panel'       => 'truereview_ads',
		'priority'    => 1
	) );

	// Register top ad image setting
	$wp_customize->add_setting( 'truereview-top-ads-image', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( new WP_Customize_Media_Control( $wp_customize, 'truereview-top-ads-image', array(
		'label'             => esc_html__( 'Image', 'truereview' ),
		'description'       => esc_html__( 'Upload your ads image then put the url in the setting below.', 'truereview' ),
		'section'           => 'truereview_ads_top',
		'priority'          => 1,
		'mime_type'         => 'image',
	) ) );

	// Register top ad url setting
	$wp_customize->add_setting( 'truereview-top-ads-url', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-top-ads-url', array(
		'label'             => esc_html__( 'URL', 'truereview' ),
		'description'       => esc_html__( 'Put the ads url in the box below.', 'truereview' ),
		'section'           => 'truereview_ads_top',
		'priority'          => 3,
		'type'              => 'url'
	) );

	// Register top custom code setting
	$wp_customize->add_setting( 'truereview-top-ads-custom', array(
		'default'           => '',
		'sanitize_callback' => 'truereview_sanitize_textarea',
	) );
	$wp_customize->add_control( 'truereview-top-ads-custom', array(
		'label'             => esc_html__( 'Or', 'truereview' ),
		'description'       => esc_html__( 'Pur you custom ads code (eg. adsense) in the box below.', 'truereview' ),
		'section'           => 'truereview_ads_top',
		'priority'          => 5,
		'type'              => 'textarea'
	) );

}
add_action( 'customize_register', 'truereview_ads_top_customize_register' );
