<?php
/**
 * Breaking News Customizer
 */

/**
 * Register the customizer.
 */
function truereview_breaking_news_customize_register( $wp_customize ) {

	// Register new section: Breaking News
	$wp_customize->add_section( 'truereview_breaking_news' , array(
		'title'       => esc_html__( 'Breaking News', 'truereview' ),
		'panel'       => 'truereview_options',
		'priority'    => 3
	) );

	// Register breaking news enable setting
	$wp_customize->add_setting( 'truereview-breaking-news-enable', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-breaking-news-enable', array(
		'label'             => esc_html__( 'Show breaking news', 'truereview' ),
		'section'           => 'truereview_breaking_news',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register breaking news tag setting
	$wp_customize->add_setting( 'truereview-breaking-news-tag', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'truereview-breaking-news-tag', array(
		'label'             => esc_html__( 'Select a tag', 'truereview' ),
		'section'           => 'truereview_breaking_news',
		'priority'          => 3,
		'type'              => 'select',
		'choices'           => truereview_tags_list()
	) );

	// Register number of posts setting
	$wp_customize->add_setting( 'truereview-breaking-news-num', array(
		'default'           => 5,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'truereview-breaking-news-num', array(
		'label'             => esc_html__( 'Number of posts', 'truereview' ),
		'section'           => 'truereview_breaking_news',
		'priority'          => 5,
		'type'              => 'number',
		'input_attrs'       => array(
			'min'  => 0,
			'step' => 1
		)
	) );

	// Register posts order setting
	$wp_customize->add_setting( 'truereview-breaking-news-orderby', array(
		'default'           => 'date',
		'sanitize_callback' => 'truereview_sanitize_orderby',
	) );
	$wp_customize->add_control( 'truereview-breaking-news-orderby', array(
		'label'             => esc_html__( 'Order by', 'truereview' ),
		'section'           => 'truereview_breaking_news',
		'priority'          => 7,
		'type'              => 'radio',
		'choices'           => array(
			'date'  => esc_html__( 'Date', 'truereview' ),
			'rand'  => esc_html__( 'Random', 'truereview' )
		)
	) );

}
add_action( 'customize_register', 'truereview_breaking_news_customize_register' );
