<?php
/**
 * Featured Posts Customizer
 */

/**
 * Register the customizer.
 */
function truereview_featured_posts_customize_register( $wp_customize ) {

	// Register new section: Featured Posts
	$wp_customize->add_section( 'truereview_featured_posts' , array(
		'title'       => esc_html__( 'Featured Posts', 'truereview' ),
		'panel'       => 'truereview_options',
		'priority'    => 1
	) );

	// Register featured enable setting
	$wp_customize->add_setting( 'truereview-featured-enable', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-featured-enable', array(
		'label'             => esc_html__( 'Show featured posts', 'truereview' ),
		'section'           => 'truereview_featured_posts',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register featured tag setting
	$wp_customize->add_setting( 'truereview-featured-tag', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'truereview-featured-tag', array(
		'label'             => esc_html__( 'Select a tag', 'truereview' ),
		'description'       => esc_html__( 'If you are not selecting any tag, the featured posts will display the most recent posts.', 'truereview' ),
		'section'           => 'truereview_featured_posts',
		'priority'          => 3,
		'type'              => 'select',
		'choices'           => truereview_tags_list()
	) );

	// Register number of posts setting
	$wp_customize->add_setting( 'truereview-featured-num', array(
		'default'           => 6,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'truereview-featured-num', array(
		'label'             => esc_html__( 'Number of posts', 'truereview' ),
		'section'           => 'truereview_featured_posts',
		'priority'          => 5,
		'type'              => 'number',
		'input_attrs'       => array(
			'min'  => 0,
			'step' => 1
		)
	) );

	// Register posts order setting
	$wp_customize->add_setting( 'truereview-featured-orderby', array(
		'default'           => 'date',
		'sanitize_callback' => 'truereview_sanitize_orderby',
	) );
	$wp_customize->add_control( 'truereview-featured-orderby', array(
		'label'             => esc_html__( 'Order by', 'truereview' ),
		'section'           => 'truereview_featured_posts',
		'priority'          => 7,
		'type'              => 'radio',
		'choices'           => array(
			'date'  => esc_html__( 'Date', 'truereview' ),
			'rand'  => esc_html__( 'Random', 'truereview' )
		)
	) );

}
add_action( 'customize_register', 'truereview_featured_posts_customize_register' );
