<?php
/**
 * Misc Customizer
 */

/**
 * Register the customizer.
 */
function truereview_misc_customize_register( $wp_customize ) {

	// Register new section: Misc
	$wp_customize->add_section( 'truereview_misc' , array(
		'title'       => esc_html__( 'Misc', 'truereview' ),
		'description' => esc_html__( 'These options is used for customizing general elements.', 'truereview' ),
		'panel'       => 'truereview_options',
		'priority'    => 9
	) );

	// Register Custom RSS setting
	$wp_customize->add_setting( 'truereview-custom-rss', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-custom-rss', array(
		'label'             => esc_html__( 'Custom RSS', 'truereview' ),
		'description'       => esc_html__( 'Custom RSS URL such as Feedburner.', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 1,
		'type'              => 'url'
	) );

	// Register search setting
	$wp_customize->add_setting( 'truereview-search-header', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-search-header', array(
		'label'             => esc_html__( 'Show search form', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

	// Register date setting
	$wp_customize->add_setting( 'truereview-date-header', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-date-header', array(
		'label'             => esc_html__( 'Enable date on header', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register page title setting
	$wp_customize->add_setting( 'truereview-page-title', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-page-title', array(
		'label'             => esc_html__( 'Show page title', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 7,
		'type'              => 'checkbox'
	) );

	// Register page comment setting
	$wp_customize->add_setting( 'truereview-page-comment', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-page-comment', array(
		'label'             => esc_html__( 'Show page comment', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 9,
		'type'              => 'checkbox'
	) );

	// Register related posts setting
	$wp_customize->add_setting( 'truereview-related-posts', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-related-posts', array(
		'label'             => esc_html__( 'Show related posts', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 11,
		'type'              => 'checkbox'
	) );

	// Register Footer Credits setting
	$wp_customize->add_setting( 'truereview-footer-text', array(
		'sanitize_callback' => 'truereview_sanitize_textarea',
		'default'           => '&copy; Copyright ' . date( 'Y' ) . ' <a href="' . esc_url( home_url() ) . '">' . esc_attr( get_bloginfo( 'name' ) ) . '</a> &middot; Designed by <a href="http://www.theme-junkie.com/">Theme Junkie</a>'
	) );
	$wp_customize->add_control( 'truereview-footer-text', array(
		'label'             => esc_html__( 'Footer Text', 'truereview' ),
		'section'           => 'truereview_misc',
		'priority'          => 13,
		'type'              => 'textarea'
	) );

}
add_action( 'customize_register', 'truereview_misc_customize_register' );
