<?php
/**
 * Post Customizer
 */

/**
 * Register the customizer.
 */
function leda_post_customize_register( $wp_customize ) {

	// Register new section: Post
	$wp_customize->add_section( 'leda_post' , array(
		'title'       => esc_html__( 'Posts', 'leda' ),
		'description' => esc_html__( 'These options is used for customizing the single post.', 'leda' ),
		'panel'       => 'leda_options',
		'priority'    => 5
	) );

	// Register post meta group setting
	$wp_customize->add_setting( 'leda-post-meta', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-post-meta', array(
		'label'             => esc_html__( 'POST META', 'leda' ),
		'section'           => 'leda_post',
		'priority'          => 1
	) ) );

		// Register post categories setting
		$wp_customize->add_setting( 'leda-post-date', array(
			'default'           => 1,
			'sanitize_callback' => 'leda_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'leda-post-date', array(
			'label'             => esc_html__( 'Show post date', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 1,
			'type'              => 'checkbox'
		) );

		// Register post categories setting
		$wp_customize->add_setting( 'leda-post-cat', array(
			'default'           => 1,
			'sanitize_callback' => 'leda_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'leda-post-cat', array(
			'label'             => esc_html__( 'Show post categories', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 3,
			'type'              => 'checkbox'
		) );

		// Register post tags setting
		$wp_customize->add_setting( 'leda-post-tag', array(
			'default'           => 1,
			'sanitize_callback' => 'leda_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'leda-post-tag', array(
			'label'             => esc_html__( 'Show post tags', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 5,
			'type'              => 'checkbox'
		) );

		// Register post author setting
		$wp_customize->add_setting( 'leda-post-author', array(
			'default'           => 1,
			'sanitize_callback' => 'leda_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'leda-post-author', array(
			'label'             => esc_html__( 'Show post author box', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 7,
			'type'              => 'checkbox'
		) );

	// Register post date style setting
	$wp_customize->add_setting( 'leda-post-date-style-section', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-post-date-style-section', array(
		'label'             => esc_html__( 'POST DATE', 'leda' ),
		'section'           => 'leda_post',
		'priority'          => 9
	) ) );

		// Register post author setting
		$wp_customize->add_setting( 'leda-post-date-style', array(
			'default'           => 'absolute',
			'sanitize_callback' => 'leda_sanitize_post_date_style',
		) );
		$wp_customize->add_control( 'leda-post-date-style', array(
			'label'             => esc_html__( 'Style', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 11,
			'type'              => 'radio',
			'choices'           => array(
				'absolute' => esc_html__( 'Absolute (June 16, 2015)', 'leda' ),
				'relative' => esc_html__( 'Relative (1 week ago)', 'leda' )
			)
		) );

	// Register related posts setting
	$wp_customize->add_setting( 'leda-related-posts-section', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-related-posts-section', array(
		'label'             => esc_html__( 'RELATED POSTS', 'leda' ),
		'section'           => 'leda_post',
		'priority'          => 13
	) ) );

		// Register related posts enable setting
		$wp_customize->add_setting( 'leda-related-posts', array(
			'default'           => 1,
			'sanitize_callback' => 'leda_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'leda-related-posts', array(
			'label'             => esc_html__( 'Show related posts', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 15,
			'type'              => 'checkbox'
		) );

		// Register related posts image setting
		$wp_customize->add_setting( 'leda-related-posts-img', array(
			'default'           => 1,
			'sanitize_callback' => 'leda_sanitize_checkbox',
		) );
		$wp_customize->add_control( 'leda-related-posts-img', array(
			'label'             => esc_html__( 'Show related posts thumbnail', 'leda' ),
			'section'           => 'leda_post',
			'priority'          => 17,
			'type'              => 'checkbox'
		) );

}
add_action( 'customize_register', 'leda_post_customize_register' );
