<?php
/**
 * Social Customizer
 */

/**
 * Register the customizer.
 */
function truereview_social_customize_register( $wp_customize ) {

	// Register new section: Social
	$wp_customize->add_section( 'truereview_social' , array(
		'title'       => esc_html__( 'Social', 'truereview' ),
		'description' => __( 'Please add full profile link, for example https://twitter.com/theme_junkie/', 'truereview' ),
		'panel'       => 'truereview_options',
		'priority'    => 5
	) );

	// Register social on header setting
	$wp_customize->add_setting( 'truereview-social-header', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-social-header', array(
		'label'             => esc_html__( 'Header', 'truereview' ),
		'description'       => esc_html__( 'Display social icons in header.', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register social on footer setting
	$wp_customize->add_setting( 'truereview-social-footer', array(
		'default'           => 1,
		'sanitize_callback' => 'truereview_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'truereview-social-footer', array(
		'label'             => esc_html__( 'Header', 'truereview' ),
		'description'       => esc_html__( 'Display social icons in footer.', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

	// Register twitter setting
	$wp_customize->add_setting( 'truereview-twitter', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-twitter', array(
		'label'             => esc_html__( 'Twitter', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 5,
		'type'              => 'url'
	) );

	// Register facebook setting
	$wp_customize->add_setting( 'truereview-facebook', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-facebook', array(
		'label'             => esc_html__( 'Facebook', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 7,
		'type'              => 'url'
	) );

	// Register gplus setting
	$wp_customize->add_setting( 'truereview-gplus', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-gplus', array(
		'label'             => esc_html__( 'Google Plus', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 9,
		'type'              => 'url'
	) );

	// Register instagram setting
	$wp_customize->add_setting( 'truereview-instagram', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-instagram', array(
		'label'             => esc_html__( 'Instagram', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 11,
		'type'              => 'url'
	) );

	// Register pinterest setting
	$wp_customize->add_setting( 'truereview-pinterest', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-pinterest', array(
		'label'             => esc_html__( 'Pinterest', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 13,
		'type'              => 'url'
	) );

	// Register linkedin setting
	$wp_customize->add_setting( 'truereview-linkedin', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-linkedin', array(
		'label'             => esc_html__( 'Linkedin', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 15,
		'type'              => 'url'
	) );

	// Register rss setting
	$wp_customize->add_setting( 'truereview-rss', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'truereview-rss', array(
		'label'             => esc_html__( 'RSS URL', 'truereview' ),
		'section'           => 'truereview_social',
		'priority'          => 17,
		'type'              => 'url'
	) );

}
add_action( 'customize_register', 'truereview_social_customize_register' );
